#!perl -w

#######################################################################################################################################
#
# This script patches testrtinit.sh  with the correct license server port and name. It must be provided with the
# license server directory as the first argument.
#
# (c) Copyright 2011 IBM Rational Software Corporation
# All Rights Rerserved
#
#######################################################################################################################################



my $installationFolder = shift;


#######################################################################################################################################
#
# The list of files to patch with the license server
#
#######################################################################################################################################

foreach (@ARGV)
  {
    my $FileToPatch = $_;
    next unless (-f $FileToPatch); # ignore files that don't exist

    # copy the lines into a new file, patching them along the way
    next unless (open (IN, $FileToPatch));
    next unless (open (OUT, '>'.$FileToPatch.'.out'));
    while (<IN>)
	{
	  {
	    s,IBMIMSHARED_TO_PATCH,${installationFolder},ig;
          }
		print OUT;
		#print DBG ">>> ",$_;
        }
	close (IN);
	close (OUT);

    # Remove the original file
    unlink ($FileToPatch);

    # Rename the new file as the old file
    rename ($FileToPatch.'.out', $FileToPatch);
  }


