##!perl -w
#################################################################################
#
#  Licensed Materials - Property of IBM
#  Restricted Material of IBM
#  IBM Rational Test RealTime
#  (c) Copyright IBM Corp. 2011 All Rights Reserved.
#
#  US Governement Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#################################################################################
#trtclean.exe perl launcher is located in bin and execute this perl sript which is located in the lib/scripts
# trtclean is used by eclipse to clean project
################################################################################

# useful for stdout/stderr direct viewing inside 'console' of studio window
# (better: we have stdout/stderr lines in right order and not stderr before stdout
use FileHandle ;
STDOUT->autoflush(1);
STDERR->autoflush(1);

## globals ############
$main::TestRTCC=1;
#######################
$main::SCRIPTDIR=$ENV{'TESTRTDIR'}.'/lib/scripts/';
require $main::SCRIPTDIR."Fcts.pl";

$RM = "rm -rf";
$RM = "del /F/S" if($^O=~/win32/i);

sub trtrm {
   my $files  = shift ;
   $files =~s/\//\\/g if($^O=~/win32/i);
   my $rmCommand = $RM." ".$files;
   if($files){
	print($rmCommand."\n");
	system($rmCommand);
   }
}

################################################################################
# main
################################################################################

# Deleting makefile generated files
my $dir = GetCurrentDir();
#print "trtclean> from $dir\n";
trtrm(join(' ',@ARGV));

# Read the logFile and delete TestRT generated files
my $ENVNODE=$dir.'/envTestRTcc.pl';
$LOGFILENAME = 'results.xtp'; # by default
#print "trtclean>envnode=$ENVNODE\n";
require $ENVNODE if(-e $ENVNODE);
my $log=$dir.'/'.$LOGFILENAME;
#print "trtclean> log=$log\n"; 
if (-e $log) {
	open ( LOG, "<$log" ) or die "Cannot open log file: %1\n";
		while ($line = <LOG>) {
			chomp($line);
			#print "trtclean>line:$line\n";
			if ( $line =~ /^DIR (.*)/) {
				$dir = $1;
			}
			else {
				($file = $line) =~ s/^([A-Z]){3}\s//;

				# Relative path ?
				if (($file !~ /^[A-Za-z]:/) || ($file !~ /^\//)) {
					$file = $dir.'/'.$file;
				}
				print $file,' ';
				unlink($file);
			}
		}
	close (LOG);
}

# Finally, delete the log and environment files
#trtrm($log." ".$ENVNODE);
unlink($log,$ENVNODE);
1;
